Authorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
Get an user's login history, using a valid management key.
This API endpoint will loads the user's login history based on the user's userId.
See also
- See Manage Users for further details on managing users.
- See The User Object for further details on the user object.
curl -X POST "https://api.descope.com/v1/mgmt/user/history" \ -H "Content-Type: application/json" \ -d '{}'{ "usersAuthHistory": [ { "userId": "string", "loginTime": 0, "city": "string", "country": "string", "ip": "string", "selectedTenant": "string" } ]}export interface Response {usersAuthHistory?: UserAuthHistory[]}export interface UserAuthHistory {userId?: stringloginTime?: numbercity?: stringcountry?: stringip?: stringselectedTenant?: string}Search Users POST
Search users, using a valid management key.
Create User POST
### Create a new user, using a valid management key. This API endpoint will create a new user utilizing a valid management key. This API endpoint allows you to configure all aspects of a user: - loginId - email - phone - verified settings (phone, email) - one must be set to true - displayName - roleNames - Tenant configurations - which tenantIds, which roleNames. The userTenants can include multiple items Ex: ``` "userTenants": [ { "tenantId": "T2IMjmRfYTQHlbaastz3im59ERS3", "roleNames": [ "Test" ] }, { "tenantId": "T2Igau6dX1R6SkomtFCdBLrc3r67", "roleNames": [ "Test" ] } ``` Additionally, you can create a user with multiple login IDs by passing an array of loginIds in string format within the `additionalIdentifiers` key. ### Next Steps Once the user is created, the user can then login utilizing any sign-in api supported. This will then switch the user from invited to active. ### See also - See [Manage User](/manage/users) for further details on managing users. - See [The User Object](/api/overview#the-user-object) for further details on the user object.